Upstream information

CVE-2009-0776 at MITRE

Description

nsIRDFService in Mozilla Firefox before 3.0.7, Thunderbird before 2.0.0.21, and SeaMonkey before 1.1.15 allows remote attackers to bypass the same-origin policy and read XML data from another domain via a cross-domain redirect.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.1
Vector AV:N/AC:M/Au:N/C:C/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 465291 [RESOLVED / FIXED], 478625 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
  • MozillaFirefox >= 38.4.0esr-51.1
  • MozillaFirefox-translations >= 38.4.0esr-51.1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • MozillaFirefox >= 45.4.0esr-81.1
  • MozillaFirefox-translations >= 45.4.0esr-81.1
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Server 12 SP3
  • MozillaFirefox >= 52.2.0esr-108.3
  • MozillaFirefox-translations >= 52.2.0esr-108.3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • MozillaFirefox >= 52.9.0esr-109.38.2
  • MozillaFirefox-translations >= 52.9.0esr-109.38.2
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • MozillaFirefox >= 31.1.0esr-1.20
  • MozillaFirefox-translations >= 31.1.0esr-1.20
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • MozillaFirefox >= 68.1.0-109.92.1
  • MozillaFirefox-translations-common >= 68.1.0-109.92.1
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 52.7.3-1.35
  • MozillaFirefox-devel >= 52.7.3-1.35
  • MozillaFirefox-translations-common >= 52.7.3-1.35
  • MozillaFirefox-translations-other >= 52.7.3-1.35
SUSE Linux Enterprise Server 11 SP1
  • MozillaFirefox >= 3.5.9-0.1.1
  • MozillaFirefox-translations >= 3.5.9-0.1.1
  • mozilla-xulrunner190 >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-translations >= 1.9.0.19-0.1.1
  • mozilla-xulrunner190-x86 >= 1.9.0.19-0.1.1
SUSE Linux Enterprise Server 11 SP2
  • MozillaFirefox >= 10.0-0.3.2
  • MozillaFirefox-translations >= 10.0-0.3.2
SUSE Linux Enterprise Server 11 SP3
  • MozillaFirefox >= 17.0.4esr-0.10.42
  • MozillaFirefox-translations >= 17.0.4esr-0.10.42
SUSE Linux Enterprise Server 11 SP4
  • MozillaFirefox >= 31.7.0esr-0.8.1
  • MozillaFirefox-translations >= 31.7.0esr-0.8.1
SUSE Linux Enterprise Server 11
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-32bit >= 1.9.0.10-1.1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-x86 >= 1.9.0.10-1.1.1
  • mozilla-xulrunner191 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
SUSE Linux Enterprise Server for SAP Applications 11
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-branding-SLED >= 3.5-1.1.5
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • gconf2 >= 2.24.0-7.5
  • gconf2-32bit >= 2.24.0-7.5
  • gconf2-x86 >= 2.24.0-7.5
  • libfreebl3 >= 3.12.3.1-1.2.1
  • libfreebl3-32bit >= 3.12.3.1-1.2.1
  • libfreebl3-x86 >= 3.12.3.1-1.2.1
  • libidl >= 0.8.11-2.14
  • libidl-32bit >= 0.8.11-2.14
  • libidl-x86 >= 0.8.11-2.14
  • mozilla-nspr >= 4.8-1.3.1
  • mozilla-nspr-32bit >= 4.8-1.3.1
  • mozilla-nspr-x86 >= 4.8-1.3.1
  • mozilla-nss >= 3.12.3.1-1.2.1
  • mozilla-nss-32bit >= 3.12.3.1-1.2.1
  • mozilla-nss-tools >= 3.12.3.1-1.2.1
  • mozilla-nss-x86 >= 3.12.3.1-1.2.1
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-32bit >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-x86 >= 1.9.0.10-1.1.1
  • mozilla-xulrunner191 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-32bit >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-gnomevfs >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-translations >= 1.9.1.11-0.1.1
  • mozilla-xulrunner191-x86 >= 1.9.1.11-0.1.1
  • mozilla-xulrunner192 >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-32bit >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-gnome >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-translations >= 1.9.2.12-0.6.1
  • mozilla-xulrunner192-x86 >= 1.9.2.12-0.6.1
  • orbit2 >= 2.14.16-2.16
  • orbit2-32bit >= 2.14.16-2.16
  • orbit2-x86 >= 2.14.16-2.16
Patchnames:
slessp0-MozillaFirefox
SUSE Linux Enterprise Software Development Kit 11 SP4
  • MozillaFirefox-devel >= 31.7.0esr-0.8.1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • MozillaFirefox-devel >= 38.4.0esr-51.1
SUSE Linux Enterprise Software Development Kit 12 SP2
  • MozillaFirefox-devel >= 45.4.0esr-81.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • MozillaFirefox-devel >= 52.2.0esr-108.3
SUSE Linux Enterprise Software Development Kit 12 SP4
  • MozillaFirefox-devel >= 52.9.0esr-109.38.2
SUSE Linux Enterprise Software Development Kit 12 SP5
  • MozillaFirefox-devel >= 68.1.0-109.92.1
SUSE Linux Enterprise Software Development Kit 12
  • MozillaFirefox-devel >= 31.1.0esr-1.20
SUSE Linux Enterprise Workstation Extension 15 SP1
  • MozillaThunderbird >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-common >= 60.6.1-3.28.1
  • MozillaThunderbird-translations-other >= 60.6.1-3.28.1
SUSE Linux Enterprise Workstation Extension 15
  • MozillaThunderbird >= 52.8-1.2
  • MozillaThunderbird-devel >= 52.8-1.2
  • MozillaThunderbird-translations-common >= 52.8-1.2
  • MozillaThunderbird-translations-other >= 52.8-1.2
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs-x86 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations-x86 >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise SDK 11 GA
  • mozilla-xulrunner190-devel >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise Desktop 11 GA
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-32bit >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-x86 >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
SUSE Linux Enterprise Server 11 GA
  • MozillaFirefox >= 3.0.7-1.1.4
  • MozillaFirefox-translations >= 3.0.7-1.1.4
  • mozilla-xulrunner190 >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-32bit >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1.4
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1.4
Builds
SAT Patch Nr: 656
openSUSE 11.0
  • MozillaFirefox-debuginfo >= 3.0.7-1.1
  • MozillaFirefox-debugsource >= 3.0.7-1.1
  • mozilla-xulrunner190-debuginfo >= 1.9.0.7-1.1
  • mozilla-xulrunner190-debugsource >= 1.9.0.7-1.1
openSUSE 11.0
  • MozillaFirefox >= 3.0.7-1.1
  • MozillaFirefox-translations >= 3.0.7-1.1
  • mozilla-xulrunner190 >= 1.9.0.7-1.1
  • mozilla-xulrunner190-32bit >= 1.9.0.7-1.1
  • mozilla-xulrunner190-64bit >= 1.9.0.7-1.1
  • mozilla-xulrunner190-devel >= 1.9.0.7-1.1
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.1
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.7-1.1
  • mozilla-xulrunner190-gnomevfs-64bit >= 1.9.0.7-1.1
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.1
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.7-1.1
  • mozilla-xulrunner190-translations-64bit >= 1.9.0.7-1.1
openSUSE 11.1
  • MozillaFirefox-debuginfo >= 3.0.7-1.1.6
  • MozillaFirefox-debugsource >= 3.0.7-1.1.6
  • mozilla-xulrunner190-debuginfo >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-debugsource >= 1.9.0.7-1.2.2
openSUSE 11.1
  • MozillaFirefox >= 3.0.7-1.1.6
  • MozillaFirefox-branding-upstream >= 3.0.7-1.1.6
  • MozillaFirefox-translations >= 3.0.7-1.1.6
  • mozilla-xulrunner190 >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-32bit >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-devel >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-gnomevfs >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-gnomevfs-32bit >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-translations >= 1.9.0.7-1.2.2
  • mozilla-xulrunner190-translations-32bit >= 1.9.0.7-1.2.2
  • python-xpcom190 >= 1.9.0.7-1.2.2
openSUSE 11.0
  • seamonkey-debuginfo >= 1.1.16-1.1
  • seamonkey-debugsource >= 1.1.16-1.1
openSUSE 11.0
  • seamonkey >= 1.1.16-1.1
  • seamonkey-dom-inspector >= 1.1.16-1.1
  • seamonkey-irc >= 1.1.16-1.1
  • seamonkey-mail >= 1.1.16-1.1
  • seamonkey-spellchecker >= 1.1.16-1.1
  • seamonkey-venkman >= 1.1.16-1.1
openSUSE 11.1
  • seamonkey-debuginfo >= 1.1.16-1.1.2
  • seamonkey-debugsource >= 1.1.16-1.1.2
openSUSE 11.1
  • seamonkey >= 1.1.16-1.1.2
  • seamonkey-dom-inspector >= 1.1.16-1.1.2
  • seamonkey-irc >= 1.1.16-1.1.2
  • seamonkey-mail >= 1.1.16-1.1.2
  • seamonkey-spellchecker >= 1.1.16-1.1.2
  • seamonkey-venkman >= 1.1.16-1.1.2
openSUSE Leap 15.0
  • MozillaFirefox >= 60.0-lp150.2.2
  • MozillaFirefox-translations-common >= 60.0-lp150.2.2
  • MozillaFirefox-translations-other >= 60.0-lp150.2.2
  • MozillaThunderbird >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-common >= 52.7-lp150.2.16
  • MozillaThunderbird-translations-other >= 52.7-lp150.2.16
Patchnames:
openSUSE Leap 15.0 GA MozillaFirefox
openSUSE Leap 15.0 GA MozillaThunderbird
openSUSE Leap 42.1
  • MozillaFirefox >= 41.0.2-1.2
  • MozillaFirefox-translations-common >= 41.0.2-1.2
  • MozillaThunderbird >= 38.3.0-2.2
  • MozillaThunderbird-translations-common >= 38.3.0-2.2
Patchnames:
openSUSE Leap 42.1 GA MozillaFirefox
openSUSE Leap 42.1 GA MozillaThunderbird
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
  • MozillaThunderbird >= 45.4.0-23.1
  • MozillaThunderbird-translations-common >= 45.4.0-23.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox
openSUSE Leap 42.2 GA MozillaThunderbird
openSUSE Leap 42.3
  • MozillaFirefox >= 52.2-58.2
  • MozillaFirefox-translations-common >= 52.2-58.2
  • MozillaThunderbird >= 52.2.1-42.1
  • MozillaThunderbird-translations-common >= 52.2.1-42.1
Patchnames:
openSUSE Leap 42.3 GA MozillaFirefox
openSUSE Leap 42.3 GA MozillaThunderbird
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
  • MozillaThunderbird >= 45.5.1-1.1
  • MozillaThunderbird-buildsymbols >= 45.5.1-1.1
  • MozillaThunderbird-devel >= 45.5.1-1.1
  • MozillaThunderbird-translations-common >= 45.5.1-1.1
  • MozillaThunderbird-translations-other >= 45.5.1-1.1
  • seamonkey >= 2.40-6.1
  • seamonkey-dom-inspector >= 2.40-6.1
  • seamonkey-irc >= 2.40-6.1
  • seamonkey-translations-common >= 2.40-6.1
  • seamonkey-translations-other >= 2.40-6.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox
openSUSE Tumbleweed GA MozillaThunderbird
openSUSE Tumbleweed GA seamonkey


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 kompozer Released
SUSE Linux Enterprise Desktop 11 SP1 kompozer Released
SUSE Linux Enterprise Desktop 11 SP2 kompozer Released
SUSE Linux Enterprise Desktop 11 SP3 kompozer Released
SUSE Linux Enterprise Desktop 11 SP4 kompozer Released